1. Products
  2. Update product
PUT
/products/{productId}
curl --request PUT \
     --url https://api.treeunfe.com.br/api/v1/products/{productId} \
     --header 'x-api-key: <api-key>' \
     --header 'x-api-key: <x_api_key>' \
     --header 'Content-Type: application/json' \
     --data '{
  "cProd": "<string>",
  "xProd": "<string>",
  "NCM": "<string>",
  "cEAN": "<string>",
  "uCom": "<string>",
  "orig": 123,
  "vUnCom": 123.45
}'

​
Authentication

x-api-key
required
string

The organization’s API Key (rawKey).

​
Path parameters

productId
required
string

The product’s ID (UUID).

​
Body

application/json

cProd
string
xProd
string
NCM
string
cEAN
string
uCom
string
orig
integer
vUnCom
number

​
Responses

StatusDescription
200Product updated.
400Invalid body (missing required field, wrong format, or field not allowed).
404Resource not found.
curl -X PUT "https://api.treeunfe.com.br/api/v1/products/PRODUCTID" \
  -H "x-api-key: ORGANIZATION_RAW_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "xProd": "PLACA DE IDENTIFICACAO GRANDE"
  }'